
.btn {
    color: $white;
    outline: none;
    cursor: pointer;
    font-weight: 700;
    font-size: size-rel(12px);
    line-height: size-rel(20px);
    padding: size-rel(13px) size-rel(24px);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-block;
    vertical-align: middle;
    background: #FF502F;
    border: 1px solid #FF502F;
    border-radius: $border-radius;

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: size-rel(20px);
    }

    span {
        display: inline-block;
    }

    i + span {
        margin-left: size-rel(8px);
    }

    span + i {
        margin-left: size-rel(8px);
    }

    svg {
        fill: $white;
    }

    &:hover {
        color: $white;
        background: #E6482A;
        border-color: #E6482A;
        text-decoration: none;

        svg {
            fill: $white;
        }

    }

    &:active {
        color: $white;
        background: #FF502F;
        border-color: #FF502F;
    }

    &:focus,
    &.focus {
        outline: 0;
    }
}

.btn-border {
    color: $accent;
    background: $white;

    svg {
        fill: $accent;
    }

    &:hover {
        background: #FF502F;
        border-color: $white;

        svg {
            fill: $white;
        }
    }

    &:active {
        background: #E6482A;
        border-color: $white;

        svg {
            fill: $white;
        }
    }
}

.btn-sm {
    font-size: size-rel(10px);
}

.btn-md {
    padding: size-rel(17px) size-rel(30px);
}

.btn-link {
    margin: 0;
    padding: 0;
    color: $accent;
    border: none;
    outline: none;
    cursor: pointer;
    white-space: nowrap;
    display: inline-block;
    background: transparent;
    text-decoration: none;
    font-weight: 500;
    font-size: size-rel(12px);
    line-height: size-rel(22px);

    svg {
        fill: $accent;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: size-rel(16px);
    }

    span {
        display: inline-block;
    }

    i + span {
        margin-left: size-rel(8px);
    }

    span + i {
        margin-left: size-rel(8px);
    }

    &:hover {
        color: $primary;
        text-decoration: none;


        svg {
            fill: $primary;
        }
    }

    @include media-breakpoint-up(xxl) {
        font-size: size-rel(14px);
        line-height: size-rel(24px);
    }
}

.btn-reset {
    padding: 0;
    margin: 0;
    border: none;
    outline: none;
    font-weight: 500;
    font-size: size-rel(12px);
    line-height: size-rel(22px);
    background: transparent;
    color: $primary;
    cursor: pointer;
    white-space: nowrap;
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
    stroke: $accent;
    transition: .3s;

    &:hover {
        color: $primary;
        stroke: $accent;
        text-decoration: none;
        transition: .3s;

        i {
            transform: rotate(60deg);
            transition: .3s;
        }
    }

    i {
        font-size: 0;
        line-height: 0;
        height: size-rel(9px);
        transition: .3s;
    }

    span {
        display: inline-block;
    }

    i + span {
        margin-left: size-rel(8px);
    }

    span + i {
        margin-left: size-rel(8px);
    }

    &--disable {
        color: $secondary;
        stroke: $secondary;

        &:hover {
            color: $secondary;
            stroke: $secondary;

            i {
                transform: rotate(0);
            }
        }
    }

    @include media-breakpoint-up(xxl) {
        font-size: size-rel(14px);
        line-height: size-rel(24px);
    }
}

.btn-icon {
    display: flex;
    align-items: center;
    justify-content: center;
}
